import { __exports as o } from "../../_virtual/client.mjs";
import { r as i } from "./index.mjs";
var t = i;
if (process.env.NODE_ENV === "production")
  o.createRoot = t.createRoot, o.hydrateRoot = t.hydrateRoot;
else {
  var r = t.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED;
  o.createRoot = function(e, n) {
    r.usingClientEntryPoint = !0;
    try {
      return t.createRoot(e, n);
    } finally {
      r.usingClientEntryPoint = !1;
    }
  }, o.hydrateRoot = function(e, n, a) {
    r.usingClientEntryPoint = !0;
    try {
      return t.hydrateRoot(e, n, a);
    } finally {
      r.usingClientEntryPoint = !1;
    }
  };
}
export {
  o as default
};
